/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.ejb;

import javax.ejb.TransactionAttributeType;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 57207 $
 */
public class TransactionAttributeImpl implements javax.ejb.TransactionAttribute
{
   private TransactionAttributeType type;

   public TransactionAttributeImpl()
   {
   }

   public TransactionAttributeImpl(TransactionAttributeType type)
   {
      this.type = type;
   }

   public void setType(TransactionAttributeType type)
   {
      this.type = type;
   }

   public TransactionAttributeType value()
   {
      return type;
   }

   public Class annotationType()
   {
      return javax.ejb.TransactionAttribute.class;
   }

   public String name()
   {
      return javax.ejb.TransactionAttribute.class.getName();
   }
}
