/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.mq.security;

import javax.management.ObjectName;

import org.jboss.mq.server.jmx.InterceptorMBean;
import org.jboss.mx.util.ObjectNameFactory;
import org.w3c.dom.Element;

/**
 * MBean interface for security manager.
 *
 * @author     <a href="pra@tim.se">Peter Antman</a>
 * @version $Revision: 57198 $
 */

public interface SecurityManagerMBean extends InterceptorMBean
{
   ObjectName OBJECT_NAME =
      ObjectNameFactory.create("jboss.mq:service=SecurityManager");

   Element getDefaultSecurityConfig();
   void setDefaultSecurityConfig(Element conf) throws Exception;

   String getSecurityDomain();
   void setSecurityDomain(String securityDomain);
 
   // REMOVE
   //String printAuthCache();

   public void addDestination(String jndi, String conf) throws Exception;

   public void addDestination(String jndi, Element conf) throws Exception;

   public void removeDestination(String jndi) throws Exception;
} // SecurityManagerMBean
