/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.naming;

/**
 * MBean interface.
 */
public interface JNDIViewMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss:type=JNDIView");

   /**
    * List deployed application java:comp namespaces, the java: namespace as well as the global InitialContext JNDI namespace.
    * @param verbose, if true, list the class of each object in addition to its name    */
   java.lang.String list(boolean verbose);

   /**
    * List deployed application java:comp namespaces, the java: namespace as well as the global InitialContext JNDI namespace in a XML Format.
    * @param verbose, if true, list the class of each object in addition to its name    */
   java.lang.String listXML();
   
  /**
   * The service name of the HANamingService
   * 
   * @return the service name
   */
  public String getHANamingService();

  /**
   * Set the service name of the HANamingServiceg
   * 
   * @param serviceName the service name
   */
  public void setHANamingService(String serviceName);

}
