/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.cmp2.commerce;

import java.io.Serializable;

/**
 * Simple composite ID class.
 *
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 57211 $</tt>
 */
public class CompositeId
   implements Serializable
{
   static final long serialVersionUID = -6655894874058441447L;
   public long id;
   public long subId;

   public long getId()
   {
      return id;
   }

   public void setId(long id)
   {
      this.id = id;
   }

   public long getSubId()
   {
      return subId;
   }

   public void setSubId(long subId)
   {
      this.subId = subId;
   }

   public boolean equals(Object o)
   {
      if(this == o) return true;
      if(!(o instanceof CompositeId)) return false;

      final CompositeId compositeId = (CompositeId)o;

      if(id != compositeId.id) return false;
      if(subId != compositeId.subId) return false;

      return true;
   }

   public int hashCode()
   {
      int result;
      result = (int)(id ^ (id >>> 32));
      result = 29 * result + (int)(subId ^ (subId >>> 32));
      return result;
   }
}
