/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.cmp2.simple;

public final class ValueClass implements java.io.Serializable
{
   static final long serialVersionUID = 1623735939007585872L;
   private final int int1;
   private final int int2;

   public ValueClass(int int1, int int2)
   {
      this.int1 = int1;
      this.int2 = int2;
   }

   public int getInt1()
   {
      return int1;
   }

   public int getInt2()
   {
      return int2;
   }

   public boolean equals(Object o)
   {
      if (o instanceof ValueClass)
      {
         ValueClass vc = (ValueClass) o;
         return int1 == vc.int1 && int2 == vc.int2;
      }
      return false;
   }

   public int hashCode()
   {
      int result = 17;
      result = 37 * result + int1;
      result = 37 * result + int2;
      return result;
   }
}

